To upgrade is to replace a piece of hardware or software with a better, and usually newer, version or component.

learn more… | top users | synonyms (1)

2
votes
1answer
38 views

How to perform off-line live upgrade?

openSUSE supports for some time online live upgrade. However I see two issues here: minor -- I already have DVD downloaded and burned major -- until now my eth0 card is not oficially supported, so ...
0
votes
2answers
81 views

How to handle internet disconnection while upgrading Ubuntu?

I am about to upgrade Ubuntu 13.04 to Ubuntu 13.10. Internet speed is slow and so it would take many hours for the same. So, is there any tool or way to handle or take care of this. Suppose my ...
3
votes
1answer
181 views

Can I upgrade to a newer Ubuntu version on a Ubuntu-based distribution?

I'm currently running elementary OS Luna, which is based on Ubuntu 12.04. Can I upgrade my installation to have a Ubuntu 13.04 base, but still use elementary OS's desktop environment and applications? ...
1
vote
1answer
1k views

How do I get rid of these broken package errors and install Mate in Linux Mint 16 Petra?

I have upgraded my computer to Linux Mint 16 Petra. Everything worked smoothly during the install with no errors, or indications of any problems. However, after I rebooted, Mate was no longer an ...
2
votes
3answers
2k views

No matter how many times I try re-installing Linux Mint, I get a GRUB error. How do I fix it?

I have been trying to install Linux Mint 16 Petra using a removable USB thumb drive on my laptop, and after multiple attempts, I get the same error every time: error: file ...
0
votes
1answer
66 views

Upgrade okular in debian wheezy

I have okular version 0.14.3 with KDE 4.8.4. I use debian wheezy and I dont know how I can upgrade to 0.15 version of okular.
1
vote
1answer
105 views

How to properly upgrade glibc?

The firmware of my NAS comes with a rather old version of glibc, namely 2.5. In order to cope with some precompiled binaries (despite being linked "statically", they still dynamically link to ...
0
votes
1answer
997 views

How to resolve upgrading problem in Ubuntu 13.10?

I have googled about this problem. I've searched askubuntu page about this problem but I couldn't get any suitable solution. I have faced this problem while trying to update using: link Before that, ...
0
votes
1answer
51 views

Odd behavior of software sources GUI in Ubuntu-based eOS (sources selected in the background)

Oddly enough, they all look unselected - I do not know that this is really true, but they look like they are not selected. But most odd is that selecting them is impossible - as seen HERE. For a ...
2
votes
2answers
1k views

On Debian Testing: How to get a recent Iceweasel Release (non-ESR) version without updating to Unstable?

I'm on Debian Jessie / testing. It currently has Iceweasel 17, but I would rather like to use a more recent release (Mozilla "Release" or "Firefox" 'channel' - currently Iceweasel 25). ...
1
vote
2answers
159 views

Shall I upgrade my OS from Ubuntu13.04 to Ubuntu13.10? [closed]

I am working on Ubuntu13.04. Now Ubuntu13.10 is available. So, I wanted your advice on what added features and advantages I may expect from the latest version. I read this link to know about the ...
0
votes
1answer
127 views

Yum update shows “Killed”

When I update my RHEL with yum update commend, it list all update packages, and after I hit Y for yes, got following response. Running rpm_check_debug Running Transaction Test Transaction ...
0
votes
0answers
30 views

Not able to install via GUI, Message: requires installation from unauthenticated sources

I am not able to install any application via the command line which requires installation from an unauthenticated source. I tried installing recordmydesktop via the Ubuntu Software Centre but when I ...
3
votes
1answer
92 views

How do rolling releases work?

In my understanding of linux distributions, you get notified of updates, then by a simple click or with a bunch of commands you can install them. These may be patches or minor version updates of ...
2
votes
1answer
59 views

YUM: How to prevent EPEL from upgrading packages installed from other repos?

I would like to leave EPEL enabled and configure it to allow updating only the packages that were installed from EPEL itself in the first place (packages which were manually installed from EPEL ...
1
vote
1answer
91 views

Upgrading Red Hat 9 (Shrike) kernel manually

I am following the instructions here on how to manually perform a kernel upgrade in Red Hat. The current Kernel RPM's are: kernel-2.4.20-8 kernel-headers is not installed kernel-ibcs is not ...
2
votes
1answer
66 views

apt upgrade: start a new shell to examine the situation. Where?

When I do a dist upgrade, I often get prompts about config files like this: Configuration file `/etc/php5/apache2/php.ini' ==> Modified (by you or by a script) since installation. ==> Package ...
2
votes
1answer
71 views

Is it best practice to update mysql , php and apache on linux regularly to current version?

I have a VPS unmanaged and have installed CentOS 6.3, mysql 5.1.69, php 5.3.3 and apache 2.2.15 No formal or otherwise education in computer programming so trying to follow as many documented ...
2
votes
1answer
100 views

Install newer unix sort command without root permission

The unix server I am using has an old version of sort installed (no -V option), would it be possible to install a newer version locally (I do not have root permissions)? Where would I download it and ...
1
vote
1answer
98 views

Unable to update my system Ubuntu13.04: Getting message - requires installation of untrusted packages

I had been trying to update my Ubuntu13.04 via 'software updater'. The updater messages that the following needs to be installed. Press continue to install When I press continue , a window appears as ...
2
votes
6answers
5k views

Why can't I upgrade Linux Mint 15 from Cinnamon 1.8.8 to Cinnamon 2.0, and how do I fix it?

So Cinnamon 2.0 is out, and I've followed the steps people have given for upgrading. sudo add-apt-repository ppa:gwendal-lebihan-dev/cinnamon-stable sudo apt-get update sudo apt-get dist-upgrade ...
0
votes
2answers
453 views

update curl on centos5

i have centos 5.9, with curl 7.15.5. i need curl 7.16.2+ . i'm a novice webmaster...if that. but would like to try. what are the commands to add a yum rpm repo so i can update the curl version, if ...
2
votes
1answer
131 views

debian update-problem

When I run sudo apt-get upgrade: libc6-i386:dependency: libc6 (= 2.17-93) but 2.17-92+b1 have been installed; so dpkg gives an error and all the updates can not continue. If I try sudo apt-get -f ...
2
votes
2answers
278 views

RHEL5 to RHEL6 Upgrade

I'm trying to upgrade our RHEL 5.9 servers to RHEL 6.4. We have lots of third party software and mounted systems so it would be nice if we could upgrade without re-installing. I know RedHat doesn't ...
3
votes
2answers
50 views

Ubuntu 12.04: updating package message

When ever I updated packages, (they update) I receive the following message about TeXLive: dpkg: warning: parsing file '/var/lib/dpkg/status' near line 2888 package 'texlive-local': missing ...
2
votes
1answer
76 views

CentOS 6 - No Updates

I've had a CentOS 6.3 VM set up for some time now, but I'm not seeing any updates when I run yum check-update, or yum list-security. There has to be something (especially with Apache/MySQL!). If I ...
1
vote
1answer
96 views

yaourt -Syu is not working in arch linux

I tried yaourt -Syu and got this error: error: failed to prepare transaction (could not satisfy dependencies) :: Starting full system upgrade... :: nvidia: requires linux<3.11 how could I solve ...
3
votes
2answers
235 views

Ruby update not working using two methods

I tried to install ruby version 1.9.3 with this on my mac 10.6.8: $ \curl -L https://get.rvm.io | bash -s stable --ruby Oskar-Niburskis-MacBook-Pro:~ oskarniburski$ rvm install ruby-1.9.3-p362 ...
1
vote
1answer
2k views

PHP Upgrade Error (PHP 5.3.3 to PHP 5.4.19 on CentOS 6.4)

I'm using CentOS 6.4 and I was following this tutorial in order to upgrade PHP from v 5.3.3 to v 5.4.19 but I got the following error: Error: php54w-common conflicts with ...
0
votes
1answer
566 views

E: Some index files failed to download. They have been ignored…” when tunning “sudo aptitude update”?

This is what the end of output after I run sudo apt-get update on Ubuntu 12.04: Ign http://apt.typesafe.com unicorn/main Translation-en 35% [Working]W: Failed to fetch ...
4
votes
3answers
283 views

Ways to update Ubuntu (debian-based distros) offline

What is the easiest way to update/upgrade an offline Ubuntu machine with the help of a Windows machine that has internet access? This question also applies to installing new packages offline and not ...
0
votes
1answer
507 views

How to install gnome shell 3.6 in debian 7.1

I have installed Debian 7.1 and I realized it has installed gnome shell 3.4.2. How can I upgrade it to version 3.6?
0
votes
0answers
38 views

Upgrade debian from oldstable (squeeze) to unstable (sid) [duplicate]

I am trying to get debian sid. Firstly, I installed a clean squeeze on my hard drive. I replaced everything in my 'sources.list' with 'deb http://ftp.de.debian.org/debian unstable main contrib ...
0
votes
1answer
131 views

Upgrading debian squeeze to sid

Atm I am trying to upgrade my debian squeeze to sid. I followed this tutorial: www(.)digitalocean.com/community/articles/upgrading-debian-to-unstable Everything seems to work well until Step 3. While ...
1
vote
1answer
227 views

Update kde to newest version

My OS is debian squeeze and I installed kde as graphical interface. My current kde version is 4.4.5. But I want to update it to the newest version (4.10.5). How to do it? (I am a newbie).
5
votes
1answer
94 views

Upgrade kernel for linux system without upgrading user apps/libs?

I built a custom Linux "recovery-cd" image that consists of a compressed initrd and boots via bcdedit (like Ubuntu Wubi) instead of a physical CD. It has various recovery tools for partition editing, ...
2
votes
0answers
212 views

OpenGL acceleration stopped working after upgrading to Wheezy

After upgrading recently from Squeeze to Wheezy, my 3D acceleration suddenly stopped working. I'm using IBM Thinkpad T60 with ATI M52 [Mobility Radeon X1300]. I found in Xorg.0.log: [ 48286.173] ...
0
votes
1answer
33 views

How to upgrade Magic Box?

I'm running Magic Box on Virtualbox. Magic Box is a portuguese Linux System, based off of SuSE. At least, that's what it said on the Linux Family Tree. The version I have is V.12. There's the most ...
-1
votes
1answer
70 views

How to upgrade Linux version without breaking the original settings or configs? [closed]

I want to upgrade my linux version to an upper level, but I am afraid of by doing that, it will format the original settings or configs on my machine. So is there any way that we can avoid this ...
1
vote
2answers
1k views

Failing on apt-get update

Very recently when I have been attempting to check for updates on my laptop (Ubuntu 12.04), the check fails. sudo apt-get update: W: GPG error: http://us.archive.ubuntu.com precise Release: The ...
2
votes
0answers
93 views

I recently ran updates now the terminal doesn't see installed packages

As the title says, I recently ran the system updater. At the time there was 400 updates. I installed them all and everything was peachy. A few days later it showed that I had more updates. So, ...
-1
votes
1answer
5k views

Upgrade Gnome 3.4 to 3.8 in debian 7

I need to upgrade gnome 3.4 to 3.8 in debian7 (with gnome-classic). How?
0
votes
0answers
123 views

How to install newer version of packages on scientific linux ? (besides source)

I just installed the newest SL6.4. I use c++11 and I tried to install the latest gcc (4.8.1) using gsrc (gsrc automates install). the problem that i faced is that SL's zlib was too old. Meaning, zlib ...
1
vote
3answers
93 views

how to upgrade software/program in fedora

I have valgrind on my computer which is with fedora OS. But it is with a old version. I want to upgrade it to a new version. my system is fedora 16. valgrind version: 3.6.1. I want to upgrade it to ...
1
vote
2answers
1k views

Determine if reboot is required to update kernel?

I am running a server which runs on CentOS with cPanel (latest version) and I have it set to automatically update using yum. Since it needs to be rebooted in order to update the kernel (and possibly ...
-1
votes
1answer
34 views

Problem on update manager

I am using OS4. When I installed the OS and went to update manager it told me: Requires installation of untrusted packages : mountall Can you tell me what I should do?
2
votes
2answers
2k views

Can I rollback an apt-get upgrade if something goes wrong?

Is there a way, before starting an aptitude upgrade or apt-get upgrade, to set up something so that you can "easily" rollback your system to the "apt" state it was before the actual upgrade, if ...
1
vote
1answer
1k views

How can I fix this dependancy error when updating clamav using yum?

I'm trying to update clamav on an old CentOS 5 mail server installation but keep getting a dependency error which I can't understand. I followed the method described here. Perhaps someone can show ...
0
votes
1answer
278 views

apt-get dist-upgrade wants to remove too much packages

I'm upgrading from Mint 13 to Mint 15 using apt-get dist-upgrade. It want to remove 277 packages, which I find quite a lot. Among those packages are acroread, xmlcopyeditor, wine1.4, skype and others. ...
1
vote
1answer
230 views

Apt-get dist-upgrade fails

I'm trying to upgrade from Mint 13 to Mint 15, but receive the following error: Calculating upgrade... Failed The following packages have unmet dependencies: mate-media : Depends: ...